[package]
name = "sequoia-net"
description = "Network services for OpenPGP"
version = "0.28.0"
authors = [
    "Justus Winter <justus@sequoia-pgp.org>",
    "Kai Michaelis <kai@sequoia-pgp.org>",
    "Neal H. Walfield <neal@sequoia-pgp.org>",
]
documentation = "https://docs.rs/sequoia-net"
homepage = "https://sequoia-pgp.org/"
repository = "https://gitlab.com/sequoia-pgp/sequoia"
readme = "README.md"
keywords = ["cryptography", "openpgp", "pgp", "hkp", "keyserver"]
categories = ["cryptography", "authentication", "email"]
license = "LGPL-2.0-or-later"
edition = "2021"
rust-version = "1.67"

[badges]
gitlab = { repository = "sequoia-pgp/sequoia" }
maintenance = { status = "actively-developed" }

[dependencies]
sequoia-openpgp = { path = "../openpgp", version = "1.17", default-features = false }

anyhow = "1.0.18"
futures-util = "0.3.5"
http = "0.2"
hyper = { version = "0.14.10", features = [ "http1", "http2" ] }
hyper-tls = "0.5"
libc = "0.2.66"
percent-encoding = "2.1"
reqwest = "0.11"
thiserror = "1.0.2"
url = "2.1"
z-base-32 = "0.1.2"
tokio = { version = "1.13.1", features = [ "macros" ] }
base64 = "0.21"
hickory-client = "0.24"
hickory-resolver = { version = "0.24", features = ["dnssec-openssl"]}

[dev-dependencies]
rand = { version = "0.8", default-features = false, features = [ "getrandom" ] }
hyper = { version = "0.14", features = [ "server" ] }
reqwest = { version = "0.11", features = ["socks"] }
tempfile = "3.1"

[lib]
bench = false

# Enables a crypto backend for the tests:
[target.'cfg(not(windows))'.dev-dependencies]
sequoia-openpgp = { path = "../openpgp", version = "1", default-features = false, features = ["crypto-nettle", "__implicit-crypto-backend-for-tests"] }

# Enables a crypto backend for the tests:
[target.'cfg(windows)'.dev-dependencies]
sequoia-openpgp = { path = "../openpgp", version = "1", default-features = false, features = ["crypto-cng", "__implicit-crypto-backend-for-tests"] }

# Enables a crypto backend for the docs.rs generation:
[package.metadata.docs.rs]
features = ["sequoia-openpgp/default"]
